(:
List item numbers and average bids for items that have received three or more bids, in descending order by average bid.
:)

<result>
  {
    for $i in distinct-values(collection("bids")/bids/itemno)
    let $b := collection("bids")/bids[itemno = $i]
    let $avgbid := avg($b/bid)
    where count($b) >= 3
    order by $avgbid descending
    return
        <popular_item>
            { $i }
            <avgbid>{ $avgbid }</avgbid>
        </popular_item>
  }
</result>

