import module namespace vf = "http://www.xquark.org/XQuery/Samples/viewDefs" at "view.mod";
import schema namespace vt = "http://www.xquark.org/XQuery/Samples/viewTypes" at "view.xsd";

let $allbikes := vf:users()//vt:item[contains(vt:description, "Bicycle") 
                     			   or contains(vt:description, "Tricycle")]
let $bikebids := $allbikes//vt:bid
return
    <high_bid>
      { 
        max($bikebids/vt:value) 
      }
    </high_bid>
